export type Json =
  | string
  | number
  | boolean
  | null
  | { [key: string]: Json | undefined }
  | Json[]

export interface Database {
  public: {
    Tables: {
      profiles: {
        Row: {
          id: string
          full_name: string
          email: string
          created_at: string
          updated_at: string
          role: 'user' | 'admin'
        }
        Insert: {
          id: string
          full_name: string
          email: string
          role?: 'user' | 'admin'
        }
        Update: {
          full_name?: string
          email?: string
          role?: 'user' | 'admin'
        }
      }
      applications: {
        Row: {
          id: string
          user_id: string
          school_id: string
          program_name: string
          status: 'draft' | 'submitted' | 'in_review' | 'accepted' | 'rejected'
          submitted_at: string | null
          deadline: string
          created_at: string
          updated_at: string
        }
        Insert: {
          user_id: string
          school_id: string
          program_name: string
          status?: 'draft' | 'submitted' | 'in_review' | 'accepted' | 'rejected'
          submitted_at?: string | null
          deadline: string
        }
        Update: {
          status?: 'draft' | 'submitted' | 'in_review' | 'accepted' | 'rejected'
          submitted_at?: string | null
          deadline?: string
        }
      }
    }
    Views: {
      [_ in never]: never
    }
    Functions: {
      [_ in never]: never
    }
    Enums: {
      [_ in never]: never
    }
  }
}